[workspace]
resolver = "2"
package.edition = "2021"
package.version = "0.4.0"
package.keywords = ["graph", "matrix", "sequencing", "genetic"]
package.categories = ["algorithms", "mathematics", "science"]
package.homepage = "https://gitlab.com/ratio-case-os/rust/ratio-genetic"
package.repository = "https://gitlab.com/ratio-case-os/rust/ratio-genetic.git"
package.readme = "README.md"
package.license = "GPL-3.0-or-later"
package.description = "Ratio's genetic algorithms library."

members = ["ratio-genetic", "ratio-genetic-py"]

[profile.bench]
debug = true

[workspace.dependencies]
nalgebra = "^0.33.2"
num-traits = "^0.2.19"
pretty_assertions = "^1.4.1"
rand = "^0.8.5"
rand_chacha = "^0.3.1"
